Bug 1311552 - python-django-pipeline: Provide a Python 3 subpackage
python-django-pipeline: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-django-pipeline (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-24 07:56 EST by Tomas Orsava
Modified: 2016-08-01 12:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-django-pipeline-1.6.8-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 12:52:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated spec file (4.52 KB, patch)
2016-07-28 12:10 EDT, Jan Beran
no flags Details | Diff
spec file correction (4.64 KB, patch)
2016-07-29 02:37 EDT, Jan Beran
no flags Details | Diff
Correction of %doc and %license macros. (4.67 KB, patch)
2016-07-29 09:46 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-24 07:56:04 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Fedora Admin XMLRPC Client 2016-02-24 11:01:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-02-24 14:39:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kurik 2016-07-26 00:48:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 4 Jan Beran 2016-07-28 12:10 EDT
Created attachment 1185180 [details]
updated spec file

Patched specfile:
- update to version 1.6.8
- url and source update
- modernized specfile with Python 3 packaging
Comment 5 Jan Beran 2016-07-29 02:37 EDT
Created attachment 1185398 [details]
spec file correction

Correction of missing python_provide scripts
Comment 6 Tomas Orsava 2016-07-29 06:38:09 EDT
Hi Jan!
The patch looks good to me!

There's just a very minor nitpick: The LICENSE file should go to the %license macro instead of the %doc macro now. Apart from that it looks perfect.
Comment 7 Jan Beran 2016-07-29 09:46 EDT
Created attachment 1185563 [details]
Correction of %doc and %license macros.

Correction of %doc and %license macros in the spec file.
Comment 8 Jan Beran 2016-07-29 13:24:10 EDT
Hi Tomáš, thank you for the review and your hint. I have corrected the specfile. May I ask you to check again?
Comment 9 Tomas Orsava 2016-08-01 05:42:36 EDT
Hi Jan, looks good to me!
Comment 10 Jan Beran 2016-08-01 08:43:21 EDT
Tomáš, thank you for the review.

Hi Matthias, the attached spec file is ready to provide the Python 3 subpackage.
Comment 11 Matthias Runge 2016-08-01 11:50:13 EDT
A few nits here:
- I would replace %setup with %autosetup
- rm -rf egg-info has been deprecated a while ago
- I still would look at distributions not supporting python3; RHEL/CentOS/EPEL does not; adding a tiny %if etc. makes life for those folks easier.

I'll go ahead and apply etc. the patch now. Thanks everyone.

Note You need to log in before you can comment on or make changes to this bug.